Page MenuHomePhabricator

Finish merging modules into wikibase.lexeme.lexemeview
Closed, ResolvedPublic

Description

This is almost done and it's 12 left out of 46

  • wikibase.lexeme.lexemeview
  • wikibase.lexeme.store
  • wikibase.lexeme.widget.InvalidLanguageIndicator
  • wikibase.lexeme.widget.GlossWidgets
  • jquery.wikibase.grammaticalfeatureview
  • wikibase.lexeme.widgets.RepresentationWidget
  • wikibase.lexeme.store.actionTypes
  • lexeme-header
  • wikibase.lexeme.widget.ReduntantLanguageIndicator
  • wikibase.lexeme.widgets.GrammaticalFeatureListWidget
  • jquery.wikibase.lexemeview

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterDrop jquery.wikibase.lexemeview
mediawiki/extensions/WikibaseLexeme : masterDrop wikibase.lexeme.widgets.GrammaticalFeatureListWidget
mediawiki/extensions/WikibaseLexeme : masterMerge wikibase.lexeme.widgets.InvalidLanguageIndicator and lexeme-header in jquery.wikibase.lexemeview
mediawiki/extensions/WikibaseLexeme : mastermerge lexeme-header into jquery.wikibase.lexemeview
mediawiki/extensions/WikibaseLexeme : masterDrop wikibase.lexeme.store.actionTypes
mediawiki/extensions/WikibaseLexeme : masterMerge wikibase.lexeme.widgets.RepresentationWidget into wikibase.lexeme.lexemeview
mediawiki/extensions/WikibaseLexeme : masterMerge jQuery.wikibase.grammaticalfeatureview into jquery.wikibase.lexemeview
mediawiki/extensions/WikibaseLexeme : masterMerge wikibase.lexeme.widgets.GlossWidget into jquery.wikibase.lexemeview

Event Timeline

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptSep 26 2019, 9:51 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ladsgroup updated the task description. (Show Details)Sep 26 2019, 9:54 AM

I am thinking of doing checkboxes rather than subtasks. 12 subtask for this could be spammy with the gerritbot jobs.

I am thinking of doing checkboxes rather than subtasks. 12 subtask for this could be spammy with the gerritbot jobs.

Sure

Change 539327 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] merge lexeme-header into jquery.wikibase.lexemeview

https://gerrit.wikimedia.org/r/539327

Change 539337 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Merge wikibase,lexeme.widgets.GlossWidget into jquery.wikibase.lexemeview

https://gerrit.wikimedia.org/r/539337

Rosalie_WMDE updated the task description. (Show Details)Sep 26 2019, 9:58 PM
Rosalie_WMDE updated the task description. (Show Details)Sep 27 2019, 8:02 AM

Change 539501 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Merge jQuery.wikibase.grammaticalfeatureview into jquery.wikibase.lexemeview

https://gerrit.wikimedia.org/r/539501

Rosalie_WMDE updated the task description. (Show Details)Sep 27 2019, 9:42 AM

Change 539337 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Merge wikibase.lexeme.widgets.GlossWidget into jquery.wikibase.lexemeview

https://gerrit.wikimedia.org/r/539337

Change 539851 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Merge wikibase.lexeme.widgets.RepresentationWidget into wikibase.lexeme.lexemeview

https://gerrit.wikimedia.org/r/539851

Change 539857 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Drop wikibase.lexeme.store.actionTypes

https://gerrit.wikimedia.org/r/539857

Rosalie_WMDE updated the task description. (Show Details)Sep 30 2019, 2:33 PM

Change 539501 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Merge jQuery.wikibase.grammaticalfeatureview into jquery.wikibase.lexemeview

https://gerrit.wikimedia.org/r/539501

Ladsgroup updated the task description. (Show Details)Sep 30 2019, 7:33 PM
Ladsgroup moved this task from Peer Review to Doing on the RL Module Terminators Trailblazing board.

Change 539851 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Merge wikibase.lexeme.widgets.RepresentationWidget into wikibase.lexeme.lexemeview

https://gerrit.wikimedia.org/r/539851

Change 539857 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Drop wikibase.lexeme.store.actionTypes

https://gerrit.wikimedia.org/r/539857

Change 539327 abandoned by Rosalie Perside (WMDE):
merge lexeme-header into jquery.wikibase.lexemeview

Reason:
I will upload a new change.

https://gerrit.wikimedia.org/r/539327

Change 540089 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Merge wikibase.lexeme.widgets.InvalidLanguageIndicator and lexeme-header in jquery.wikibase.lexemeview

https://gerrit.wikimedia.org/r/540089

Rosalie_WMDE updated the task description. (Show Details)Oct 1 2019, 11:46 AM

Change 540089 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Merge wikibase.lexeme.widgets.InvalidLanguageIndicator and lexeme-header in jquery.wikibase.lexemeview

https://gerrit.wikimedia.org/r/540089

Rosalie_WMDE updated the task description. (Show Details)Oct 7 2019, 10:51 AM

Change 540116 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Drop wikibase.lexeme.widgets.GrammaticalFeatureListWidget

https://gerrit.wikimedia.org/r/540116

Change 540116 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Drop wikibase.lexeme.widgets.GrammaticalFeatureListWidget

https://gerrit.wikimedia.org/r/540116

Change 541515 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Drop jquery.wikibase.lexemeview

https://gerrit.wikimedia.org/r/541515

Rosalie_WMDE updated the task description. (Show Details)Oct 8 2019, 9:25 AM

Change 541515 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Drop jquery.wikibase.lexemeview

https://gerrit.wikimedia.org/r/541515

Rosalie_WMDE updated the task description. (Show Details)Oct 8 2019, 1:07 PM
Ladsgroup closed this task as Resolved.Wed, Oct 23, 10:57 AM